
Set oFSO    = CreateObject("Scripting.FileSystemObject")
Set objShell = CreateObject("Shell.Application")

Const APPLICATION_DATA = &H1a&
Const LOCAL_APPLICATION_DATA = &H1c&
Const MY_DOCUMENTS = &H5&
Const PROGRAM_FILES = &H26&
Const PROGRAM_FILES86 = &H2A&
Const HKEY_CURRENT_USER = &H80000001 

Set objFolder = objShell.Namespace(PROGRAM_FILES86)
if (objFolder is nothing) Then
    Set objFolder = objShell.Namespace(PROGRAM_FILES)
End If
Set objFolderItem = objFolder.Self
sProgramFiles = objFolderItem.Path + "\ASE\ASE2000 Comm Test Set"

Set objFolder = objShell.Namespace(LOCAL_APPLICATION_DATA)
Set objFolderItem = objFolder.Self
sVirtalStoreData = objFolderItem.Path + "\VirtualStore" + Right(sProgramFiles,Len(sProgramFiles)-InStr(1, sProgramFiles, ":"))

Set objFolder = objShell.Namespace(APPLICATION_DATA)
Set objFolderItem = objFolder.Self 
sAppDataPath = objFolderItem.Path + "\Applied Systems Engineering\ASE 2000 Communications Test Set\1.0.0.0"

Set objFolder = objShell.Namespace(MY_DOCUMENTS)
Set objFolderItem = objFolder.Self
sMyDocuments = objFolderItem.Path

CopyFiles oFSO, sProgramFiles, sMyDocuments, "mon"
CopyFiles oFSO, sVirtalStoreData, sMyDocuments, "mon"

CopyFiles oFSO, sProgramFiles, sMyDocuments, "cap"
CopyFiles oFSO, sVirtalStoreData, sMyDocuments, "cap"

CopyFiles oFSO, sProgramFiles, sMyDocuments, "alg"
CopyFiles oFSO, sVirtalStoreData, sMyDocuments, "alg"

CopyFiles oFSO, sProgramFiles, sAppDataPath, "opt"
CopyFiles oFSO, sVirtalStoreData, sAppDataPath, "opt"

If oFSO.FileExists(sProgramFiles + "\PointList.mdb") Then
    oFSO.CopyFile sProgramFiles + "\PointList.*" , sAppDataPath + "\", True 
    oFSO.DeleteFile sProgramFiles + "\PointList.*"
End If
If oFSO.FileExists(sVirtalStoreData + "\PointList.mdb") Then
    oFSO.CopyFile sVirtalStoreData + "\PointList.*" , sAppDataPath + "\", True 
    oFSO.DeleteFile sVirtalStoreData + "\PointList.*"
End If

strComputer = "."

Set objRegistry = GetObject("winmgmts:\\" & _
    strComputer & "\root\default:StdRegProv") 

DeleteSubkeys HKEY_CURRENT_USER, "Software\Applied Systems Engineering\ASE2000 Communication Test Set\Recent File List" 
DeleteSubkeys HKEY_CURRENT_USER, "Software\Applied Systems Engineering\ASE2000 Communication Test Set\Workspace" 


Sub CopyFiles(objFSO, sSrcFolder, sDstFolder, sExtension)
    If oFSO.FolderExists(sSrcFolder) Then
        Dim objFolder
        Set objFolder = objFSO.GetFolder(sSrcFolder)

        Dim objFile
        For Each objFile in objFolder.Files
            if LCase(objFSO.GetExtensionName(objFile)) = LCase(sExtension) then
                oFSO.CopyFile objFile , sDstFolder + "\"
                oFSO.DeleteFile objFile
            end if
        Next 
    End If
End Sub

Sub DeleteSubkeys(HKEY_CURRENT_USER, strKeyPath) 
    objRegistry.EnumKey HKEY_CURRENT_USER, strKeyPath, arrSubkeys 

    If IsArray(arrSubkeys) Then 
        For Each strSubkey In arrSubkeys 
            DeleteSubkeys HKEY_CURRENT_USER, strKeyPath & "\" & strSubkey 
        Next 
    End If 

    objRegistry.DeleteKey HKEY_CURRENT_USER, strKeyPath 
End Sub
